<?php

require_once('config/lang/eng.php');
require_once('tcpdf.php');

// cria um novo documento PDF
$pdf = new TCPDF(PDF_PAGE_ORIENTATION, PDF_UNIT, PDF_PAGE_FORMAT, true, 'UTF-8', false);

// seta as informaes do documento (ex. Autor, Ttulo, Assunto e Palavras Chave)
// OBS.: Se voc quiser colocar o nome do autor, por exemplo, pode preencher o campo abaixo - dentro da aspas
$pdf->SetCreator(PDF_CREATOR);
//$pdf->SetAuthor('');
//$pdf->SetTitle('');
//$pdf->SetSubject('');
//$pdf->SetKeywords('');

// seta o que entrar dentro de Header (em meu caso, disponibilizei uma imagem)
$pdf->SetHeaderData(PDF_HEADER_LOGO);

// seta as fontes usadas no Header e no Rodap
$pdf->setHeaderFont(Array(PDF_FONT_NAME_MAIN, '', PDF_FONT_SIZE_MAIN));
$pdf->setFooterFont(Array(PDF_FONT_NAME_DATA, '', PDF_FONT_SIZE_DATA));

// seta as fontes que entraram como monospace
$pdf->SetDefaultMonospacedFont(PDF_FONT_MONOSPACED);

//seta as margens
$pdf->SetMargins(PDF_MARGIN_LEFT, PDF_MARGIN_TOP, PDF_MARGIN_RIGHT);
$pdf->SetHeaderMargin(PDF_MARGIN_HEADER);
$pdf->SetFooterMargin(PDF_MARGIN_FOOTER);

//seta o break automtico feito na pgina
$pdf->SetAutoPageBreak(TRUE, PDF_MARGIN_BOTTOM);

//set image scale factor
$pdf->setImageScale(PDF_IMAGE_SCALE_RATIO);

//set some language-dependent strings
$pdf->setLanguageArray($l);

// ---------------------------------------------------------

// seta a fonte usada no documento (em meu caso, estou usando a Helvetica tamanho 10)
$pdf->SetFont('helvetica', '', 10);

// Adiciona uma pgina
$pdf->AddPage();

// Texto usado na pgina
$html = '<h1>WebMaster Criando PDF atraves do PHP</h1>
Alguns caracteres especiais: &lt; € &euro; &#8364; &amp; è &egrave; &copy; &gt; \\slash \\\\double-slash \\\\\\triple-slash
<h2>Dicas interessantes</h2>
Alguns desenvolvedores tem dvidas ao trabalhar com alguns caracteres. Por esse motivo, postamos abaixo alguns exemplos:
<ol>
	<li><b>Texto com Negrito</b></li>
	<li><i>Texto com Italico</i></li>
	<li><u>Texto com Underline</u></li>
	<li><b>b<i>Lorem<u>Lorem</u>bi</i>b</b></li>
	<li><a href="http://www.qsasolucoescorporativas.com.br" dir="ltr">link to http://www.qsasolucoescorporativas.com.br</a></li>
	<li>Lorem ipsum dolor lorem ipsum dolor lorem ipsum dolor, lorem ipsum dolor lorem ipsum dolor lorem ipsum dolor lorem ipsum dolor lorem ipsum dolor lorem ipsum dolor lorem ipsum dolor.</li>
	<li>SUBLIST
		<ol>
			<li>row one
				<ul>
					<li>sublist</li>
				</ul>
			</li>
			<li>row two</li>
		</ol>
	</li>
	<li><b>T</b>E<i>S</i><u>T</u> <del>line through</del></li>
	<li><font size="+3">font + 3</font></li>
	<li><small>small text</small> normal <small>small text</small> normal <sub>subscript</sub> normal <sup>superscript</sup> normal</li>
</ol>
<dl>
	<dt>Carro</dt>
	<dd>Black hot drink</dd>
	<dt>Leite</dt>
	<dd>Branco e Preto</dd>
</dl>
<div style="text-align:center">VISUALIZANDO UM MAPA<br />
<img src="imagens/mapa_peq.jpg" border="0" />
</div>';

$html2 = utf8_encode($html);

// Imprime o contedo do documeto
$pdf->writeHTML($html2, true, false, true, false, '');


// Reseta a partir deste ponto, para partir para a outra pgina
$pdf->lastPage();

// Fecha o documento e imprime o PDF
$pdf->Output('webmaster.pt.pdf', 'I');

?>

